<?php

require_once('Tinkerforge/IPConnection.php');
require_once('Tinkerforge/BrickletIO4V2.php');

use Tinkerforge\IPConnection;
use Tinkerforge\BrickletIO4V2;

const HOST = 'localhost';
const PORT = 4223;
const UID = 'XYZ'; // Change XYZ to the UID of your IO-4 Bricklet 2.0

$ipcon = new IPConnection(); // Create IP connection
$io = new BrickletIO4V2(UID, $ipcon); // Create device object

$ipcon->connect(HOST, PORT); // Connect to brickd
// Don't use device before ipcon is connected

// Get current value
$value = $io->getValue();

echo "Channel 0: " . $value[0] . "\n";
echo "Channel 1: " . $value[1] . "\n";
echo "Channel 2: " . $value[2] . "\n";
echo "Channel 3: " . $value[3] . "\n";

echo "Press key to exit\n";
fgetc(fopen('php://stdin', 'r'));
$ipcon->disconnect();

?>
